Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453917 - unusable reverse dependency removal dialog
Summary: unusable reverse dependency removal dialog
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 08:47 UTC by Rahul Sundaram
Modified: 2013-03-13 05:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-04 08:37:47 UTC


Attachments (Terms of Use)
how about this? (deleted)
2008-07-03 15:53 UTC, Richard Hughes
no flags Details
something like this (deleted)
2008-07-04 08:01 UTC, Richard Hughes
no flags Details

Description Rahul Sundaram 2008-07-03 08:47:07 UTC
Description of problem:

Pick a package that has a long dependency chain, ex: rarian and try to remove
it. PackageKit spends quite some time pondering over the dependency list and
provides one with no usable way to scroll through the list (without using weird
combos like alt+ mouse drag. A clean scrollable text box with descriptions would
be better.

Comment 1 Richard Hughes 2008-07-03 13:01:15 UTC
I see what you mean. I'll give this a go this afternoon.

Comment 2 Richard Hughes 2008-07-03 15:53:29 UTC
Created attachment 310937 [details]
how about this?

How about something like this?

Comment 3 Rahul Sundaram 2008-07-03 23:35:12 UTC
That looks much better. Maybe it could be a bit more cramped so that I don't
have to scroll much. Also a similar situation for installing lots of packages

http://www.techreview.uni.cc/node/10



Comment 4 Richard Hughes 2008-07-04 08:01:37 UTC
Created attachment 311011 [details]
something like this

What about this?

Comment 5 Richard Hughes 2008-07-04 08:37:47 UTC
I've pushed this to git master.


Note You need to log in before you can comment on or make changes to this bug.